package dev.fyloz.colorrecipesexplorer.utils

import org.springframework.security.crypto.encrypt.Encryptors
import org.springframework.security.crypto.encrypt.TextEncryptor

fun String.encrypt(password: String, salt: String): String =
    withTextEncryptor(password, salt) {
        it.encrypt(this)
    }

fun String.decrypt(password: String, salt: String): String =
    withTextEncryptor(password, salt) {
        it.decrypt(this)
    }

private fun withTextEncryptor(password: String, salt: String, op: (TextEncryptor) -> String) =
    op(Encryptors.text(password, salt))
